Package com.beust.jcommander

# Class MissingCommandException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.beust.jcommander.ParameterException
com.beust.jcommander.MissingCommandException

All Implemented Interfaces:
  `Serializable`

public class MissingCommandException extends ParameterException
Thrown when a command was expected.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingCommandException(String message)`
`MissingCommandException(String message, String command)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getUnknownCommand()`

### Methods inherited from class com.beust.jcommander.ParameterException

`getJCommander, setJCommander, usage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingCommandException

public MissingCommandException(String message)

### MissingCommandException

public MissingCommandException(String message, String command)

## Method Details

### getUnknownCommand

public String getUnknownCommand()